Get a claim
curl --request GET \
--url https://api.usecobalt.com/v1/claims/{id} \
--header 'access_token: <api-key>' \
--header 'client_id: <api-key>' \
--header 'client_secret: <api-key>'import requests
url = "https://api.usecobalt.com/v1/claims/{id}"
headers = {
"client_id": "<api-key>",
"client_secret": "<api-key>",
"access_token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {client_id: '<api-key>', client_secret: '<api-key>', access_token: '<api-key>'}
};
fetch('https://api.usecobalt.com/v1/claims/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usecobalt.com/v1/claims/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"access_token: <api-key>",
"client_id: <api-key>",
"client_secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.usecobalt.com/v1/claims/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("client_id", "<api-key>")
req.Header.Add("client_secret", "<api-key>")
req.Header.Add("access_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.usecobalt.com/v1/claims/{id}")
.header("client_id", "<api-key>")
.header("client_secret", "<api-key>")
.header("access_token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usecobalt.com/v1/claims/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["client_id"] = '<api-key>'
request["client_secret"] = '<api-key>'
request["access_token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"claim": {
"id": "c1a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3",
"emr_claim_id": "claim-emr-123",
"emr_appointment_id": "appt-emr-789",
"service_date": "2026-06-15",
"claim_date": "2026-06-15",
"claim_status": "48CL",
"claim_status_description": "submitted",
"claim_type": "Professional",
"void_flag": false,
"emr_patient_id": "12345",
"patient_name": "Jane Doe",
"emr_provider_id": "provider-123",
"provider_name": "Dr. Alex Smith",
"total_charge": "150.00",
"total_payment": "100.00",
"net_payment": "100.00",
"balance": "25.00",
"net_adjustment": "25.00",
"patient_responsibility": "25.00",
"insurances": [
{
"insurance_id": "51638",
"insurance_name": "Blue Cross Anthem",
"insurance_type": "PPO",
"claim_indicator": "P",
"claim_indicator_description": "Primary",
"sequence_number": "1",
"subscriber_name": "Jane Doe",
"subscriber_number": "MEM123456789",
"subscriber_dob": "1980-01-15",
"subscriber_relation": "self",
"group_name": "Group A",
"group_number": "GRP98999",
"provider_number": "1234567890",
"payment_source": "CI",
"assign_benefits": "Y",
"insurance_address_1": "123 Main Street",
"insurance_address_2": "Suite 100",
"insurance_city": "Los Angeles",
"insurance_state": "CA",
"insurance_zip": "90001",
"medicaid_id": "",
"ins_id": "51638",
"billing_order": "1",
"payer_name": "Blue Cross Anthem",
"start_date": "2026-01-01",
"end_date": "2026-12-31",
"current": true,
"is_primary": true
}
],
"balances": {
"invoice_amount": "150.00",
"total_payment": "100.00",
"net_payment": "100.00",
"balance": "25.00",
"patient_balance": "25.00",
"patient_payment": "0.00",
"patient_responsibility": "25.00",
"total_charge": 150,
"adjusted_amount": 25,
"on_plan": "false"
},
"icd_codes": [
{
"code": "R51",
"description": "Headache",
"icd_version": "10",
"primary": "true",
"specify": "",
"notes": "Primary diagnosis"
}
],
"void_claim": {
"void_to_claim_id": "-1",
"void_from_claim_id": "-1",
"copy_to_claim_id": "-1",
"copy_from_claim_id": "-1"
},
"submission_history": {
"created_by": "STAFF-123",
"entries": [
{
"status": "submitted",
"submitted_at": "2026-06-15T21:30:00Z"
}
],
"auto_claim_data": {
"isUserInactive": "false",
"schedulerJobId": "-1",
"isClaimCreatedByJob": "false"
}
},
"billing_activity_log": [
{
"date": "2026-06-16T09:00:00",
"action": "Payment posted",
"category": "Payment",
"notes": "Insurance payment received",
"user_name": "Billing Staff",
"service_id": "service-123",
"claimId": "claim-emr-123",
"postingDate": "2026-06-16",
"batch": "batch-123",
"paymentId": "payment-emr-123",
"payer": "Blue Cross Anthem",
"flag835": "true",
"eobDate": "2026-06-16",
"accntgDate": "2026-06-16",
"amount": "100.00",
"balance": "25.00",
"adjustment": "25.00",
"user": "STAFF-123"
}
],
"billing_notes": "Balance due at next visit.",
"synced_at": "2026-06-16T17:00:00Z",
"created_at": "2026-06-15T21:30:00Z",
"updated_at": "2026-06-16T17:00:00Z",
"progress_note": "Chief complaint: headache. Assessment: tension headache. Plan: OTC analgesics.",
"line_items": [
{
"id": "d1a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3",
"line_number": 1,
"cpt_code": "99213",
"description": "Office outpatient visit",
"modifiers": [
"25"
],
"units": 1,
"billed_amount": "150.00",
"allowed_amount": "125.00",
"billed_unit_fee": "150.00",
"icd_pointers": [
"1"
],
"place_of_service": "11",
"type_of_service": "1",
"service_date_start": "2026-06-15",
"service_date_end": "2026-06-15",
"rendering_provider_npi": "1234567890",
"ordering_provider_npi": "1234567890",
"referring_provider_npi": "1234567890"
}
],
"payments": [
{
"id": "e1a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3",
"emr_payment_id": "payment-emr-123",
"emr_payment_detail_id": "payment-detail-123",
"check_number": "EFT-12345",
"payment_date": "2026-06-16",
"amount": "100.00",
"payment_type": "Insurance",
"payer_name": "Blue Cross Anthem",
"payer_id": "98999",
"payer_type": "Insurance",
"adjustment": "25.00",
"deductible": "0.00",
"coinsurance": "25.00",
"allowed": "125.00",
"member_balance": "25.00",
"withheld": "0.00",
"era_claim_status": "Processed as primary",
"era_claim_status_code": "1",
"era_filing_indicator": "CI",
"era_service_lines": [
{
"cpt_code": "99213",
"paid_amount": "100.00"
}
],
"era_payer_name": "Blue Cross Anthem",
"era_check_amount": "100.00",
"era_reference_id": "ERA-12345",
"era_payer_claim_id": "ICN-12345",
"era_adjustment_codes": [
{
"group_code": "CO",
"reason_code": "45",
"amount": "25.00"
}
]
}
]
}
}{
"success": false,
"message": "Bad request — missing or invalid parameters"
}{
"success": false,
"message": "Unauthorized — missing or invalid credentials"
}{
"success": false,
"message": "Resource not found"
}{
"success": false,
"message": "Internal server error"
}Claims
Get Claim by ID
Returns a single claim with its line items, payments, and billing details by its Cobalt claim ID, for example the data.id from a claim webhook.
GET
/
claims
/
{id}
Get a claim
curl --request GET \
--url https://api.usecobalt.com/v1/claims/{id} \
--header 'access_token: <api-key>' \
--header 'client_id: <api-key>' \
--header 'client_secret: <api-key>'import requests
url = "https://api.usecobalt.com/v1/claims/{id}"
headers = {
"client_id": "<api-key>",
"client_secret": "<api-key>",
"access_token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {client_id: '<api-key>', client_secret: '<api-key>', access_token: '<api-key>'}
};
fetch('https://api.usecobalt.com/v1/claims/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usecobalt.com/v1/claims/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"access_token: <api-key>",
"client_id: <api-key>",
"client_secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.usecobalt.com/v1/claims/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("client_id", "<api-key>")
req.Header.Add("client_secret", "<api-key>")
req.Header.Add("access_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.usecobalt.com/v1/claims/{id}")
.header("client_id", "<api-key>")
.header("client_secret", "<api-key>")
.header("access_token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usecobalt.com/v1/claims/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["client_id"] = '<api-key>'
request["client_secret"] = '<api-key>'
request["access_token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"claim": {
"id": "c1a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3",
"emr_claim_id": "claim-emr-123",
"emr_appointment_id": "appt-emr-789",
"service_date": "2026-06-15",
"claim_date": "2026-06-15",
"claim_status": "48CL",
"claim_status_description": "submitted",
"claim_type": "Professional",
"void_flag": false,
"emr_patient_id": "12345",
"patient_name": "Jane Doe",
"emr_provider_id": "provider-123",
"provider_name": "Dr. Alex Smith",
"total_charge": "150.00",
"total_payment": "100.00",
"net_payment": "100.00",
"balance": "25.00",
"net_adjustment": "25.00",
"patient_responsibility": "25.00",
"insurances": [
{
"insurance_id": "51638",
"insurance_name": "Blue Cross Anthem",
"insurance_type": "PPO",
"claim_indicator": "P",
"claim_indicator_description": "Primary",
"sequence_number": "1",
"subscriber_name": "Jane Doe",
"subscriber_number": "MEM123456789",
"subscriber_dob": "1980-01-15",
"subscriber_relation": "self",
"group_name": "Group A",
"group_number": "GRP98999",
"provider_number": "1234567890",
"payment_source": "CI",
"assign_benefits": "Y",
"insurance_address_1": "123 Main Street",
"insurance_address_2": "Suite 100",
"insurance_city": "Los Angeles",
"insurance_state": "CA",
"insurance_zip": "90001",
"medicaid_id": "",
"ins_id": "51638",
"billing_order": "1",
"payer_name": "Blue Cross Anthem",
"start_date": "2026-01-01",
"end_date": "2026-12-31",
"current": true,
"is_primary": true
}
],
"balances": {
"invoice_amount": "150.00",
"total_payment": "100.00",
"net_payment": "100.00",
"balance": "25.00",
"patient_balance": "25.00",
"patient_payment": "0.00",
"patient_responsibility": "25.00",
"total_charge": 150,
"adjusted_amount": 25,
"on_plan": "false"
},
"icd_codes": [
{
"code": "R51",
"description": "Headache",
"icd_version": "10",
"primary": "true",
"specify": "",
"notes": "Primary diagnosis"
}
],
"void_claim": {
"void_to_claim_id": "-1",
"void_from_claim_id": "-1",
"copy_to_claim_id": "-1",
"copy_from_claim_id": "-1"
},
"submission_history": {
"created_by": "STAFF-123",
"entries": [
{
"status": "submitted",
"submitted_at": "2026-06-15T21:30:00Z"
}
],
"auto_claim_data": {
"isUserInactive": "false",
"schedulerJobId": "-1",
"isClaimCreatedByJob": "false"
}
},
"billing_activity_log": [
{
"date": "2026-06-16T09:00:00",
"action": "Payment posted",
"category": "Payment",
"notes": "Insurance payment received",
"user_name": "Billing Staff",
"service_id": "service-123",
"claimId": "claim-emr-123",
"postingDate": "2026-06-16",
"batch": "batch-123",
"paymentId": "payment-emr-123",
"payer": "Blue Cross Anthem",
"flag835": "true",
"eobDate": "2026-06-16",
"accntgDate": "2026-06-16",
"amount": "100.00",
"balance": "25.00",
"adjustment": "25.00",
"user": "STAFF-123"
}
],
"billing_notes": "Balance due at next visit.",
"synced_at": "2026-06-16T17:00:00Z",
"created_at": "2026-06-15T21:30:00Z",
"updated_at": "2026-06-16T17:00:00Z",
"progress_note": "Chief complaint: headache. Assessment: tension headache. Plan: OTC analgesics.",
"line_items": [
{
"id": "d1a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3",
"line_number": 1,
"cpt_code": "99213",
"description": "Office outpatient visit",
"modifiers": [
"25"
],
"units": 1,
"billed_amount": "150.00",
"allowed_amount": "125.00",
"billed_unit_fee": "150.00",
"icd_pointers": [
"1"
],
"place_of_service": "11",
"type_of_service": "1",
"service_date_start": "2026-06-15",
"service_date_end": "2026-06-15",
"rendering_provider_npi": "1234567890",
"ordering_provider_npi": "1234567890",
"referring_provider_npi": "1234567890"
}
],
"payments": [
{
"id": "e1a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3",
"emr_payment_id": "payment-emr-123",
"emr_payment_detail_id": "payment-detail-123",
"check_number": "EFT-12345",
"payment_date": "2026-06-16",
"amount": "100.00",
"payment_type": "Insurance",
"payer_name": "Blue Cross Anthem",
"payer_id": "98999",
"payer_type": "Insurance",
"adjustment": "25.00",
"deductible": "0.00",
"coinsurance": "25.00",
"allowed": "125.00",
"member_balance": "25.00",
"withheld": "0.00",
"era_claim_status": "Processed as primary",
"era_claim_status_code": "1",
"era_filing_indicator": "CI",
"era_service_lines": [
{
"cpt_code": "99213",
"paid_amount": "100.00"
}
],
"era_payer_name": "Blue Cross Anthem",
"era_check_amount": "100.00",
"era_reference_id": "ERA-12345",
"era_payer_claim_id": "ICN-12345",
"era_adjustment_codes": [
{
"group_code": "CO",
"reason_code": "45",
"amount": "25.00"
}
]
}
]
}
}{
"success": false,
"message": "Bad request — missing or invalid parameters"
}{
"success": false,
"message": "Unauthorized — missing or invalid credentials"
}{
"success": false,
"message": "Resource not found"
}{
"success": false,
"message": "Internal server error"
}Example Request
curl -X GET https://api.usecobalt.com/v1/claims/a1b2c3d4e5f6789012345678abcdef90 \
-H 'client_id: ci_live_198908HJDKJSH98789OHKJL' \
-H 'client_secret: cs_live_9827hofdsklOYYHJLJh' \
-H 'access_token: 493JKLHIU98789hLKH9HHJH'
Example Response
{
"success": true,
"claim": {
"id": "a1b2c3d4e5f6789012345678abcdef90",
"emr_claim_id": "100234",
"emr_appointment_id": "500100",
"service_date": "2025-08-01",
"claim_date": "2025-08-08",
"claim_status": "48CL",
"claim_status_description": "Closed (48-hour rule)",
"claim_type": "0",
"void_flag": false,
"emr_patient_id": "40210",
"patient_name": "DOE, JANE, M",
"emr_provider_id": "10052",
"provider_name": "Smith, Robert",
"total_charge": "350.00",
"total_payment": "280.00",
"net_payment": "280.00",
"balance": "20.00",
"net_adjustment": "50.00",
"patient_responsibility": "20.00",
"icd_codes": ["M54.5", "Z96.641"],
"line_items": [
{
"id": "f1e2d3c4b5a6789012345678",
"line_number": 1,
"cpt_code": "99213",
"description": "Office visit, established patient",
"modifiers": ["25"],
"units": 1,
"billed_amount": 150.00,
"allowed_amount": 120.00,
"icd_pointers": ["1", "2"],
"place_of_service": "11",
"service_date_start": "2025-08-01",
"service_date_end": "2025-08-01",
"rendering_provider_npi": "1234567890"
}
],
"payments": [
{
"id": "d4c3b2a1f6e5789012345678",
"emr_payment_id": "55001",
"check_number": "EFT-20250825-001",
"payment_date": "2025-08-25",
"amount": 280.00,
"payment_type": "Insurance",
"payer_name": "Blue Cross Blue Shield",
"adjustment": 50.00,
"coinsurance": 20.00,
"allowed": 280.00,
"era_claim_status": "Processed as Primary"
}
],
"synced_at": "2025-08-31T04:40:00.002Z",
"created_at": "2025-08-31T04:40:00.002Z",
"updated_at": "2025-08-31T04:40:00.002Z"
}
}
Authorizations
Path Parameters
Cobalt claim ID (UUID, with or without dashes).
Example:
"c1a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3"
Response
The requested claim
Example:
true
Show child attributes
Show child attributes
Example:
{
"id": "c1a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3",
"emr_claim_id": "claim-emr-123",
"emr_appointment_id": "appt-emr-789",
"service_date": "2026-06-15",
"claim_date": "2026-06-15",
"claim_status": "48CL",
"claim_status_description": "submitted",
"claim_type": "Professional",
"void_flag": false,
"emr_patient_id": "12345",
"patient_name": "Jane Doe",
"emr_provider_id": "provider-123",
"provider_name": "Dr. Alex Smith",
"total_charge": "150.00",
"total_payment": "100.00",
"net_payment": "100.00",
"balance": "25.00",
"net_adjustment": "25.00",
"patient_responsibility": "25.00",
"insurances": [
{
"insurance_id": "51638",
"insurance_name": "Blue Cross Anthem",
"insurance_type": "PPO",
"claim_indicator": "P",
"claim_indicator_description": "Primary",
"sequence_number": "1",
"subscriber_name": "Jane Doe",
"subscriber_number": "MEM123456789",
"subscriber_dob": "1980-01-15",
"subscriber_relation": "self",
"group_name": "Group A",
"group_number": "GRP98999",
"provider_number": "1234567890",
"payment_source": "CI",
"assign_benefits": "Y",
"insurance_address_1": "123 Main Street",
"insurance_address_2": "Suite 100",
"insurance_city": "Los Angeles",
"insurance_state": "CA",
"insurance_zip": "90001",
"medicaid_id": "",
"ins_id": "51638",
"billing_order": "1",
"payer_name": "Blue Cross Anthem",
"start_date": "2026-01-01",
"end_date": "2026-12-31",
"current": true,
"is_primary": true
}
],
"balances": {
"invoice_amount": "150.00",
"total_payment": "100.00",
"net_payment": "100.00",
"balance": "25.00",
"patient_balance": "25.00",
"patient_payment": "0.00",
"patient_responsibility": "25.00",
"total_charge": 150,
"adjusted_amount": 25,
"on_plan": "false"
},
"icd_codes": [
{
"code": "R51",
"description": "Headache",
"icd_version": "10",
"primary": "true",
"specify": "",
"notes": "Primary diagnosis"
}
],
"void_claim": {
"void_to_claim_id": "-1",
"void_from_claim_id": "-1",
"copy_to_claim_id": "-1",
"copy_from_claim_id": "-1"
},
"submission_history": {
"created_by": "STAFF-123",
"entries": [
{
"status": "submitted",
"submitted_at": "2026-06-15T21:30:00Z"
}
],
"auto_claim_data": {
"isUserInactive": "false",
"schedulerJobId": "-1",
"isClaimCreatedByJob": "false"
}
},
"billing_activity_log": [
{
"date": "2026-06-16T09:00:00",
"action": "Payment posted",
"category": "Payment",
"notes": "Insurance payment received",
"user_name": "Billing Staff",
"service_id": "service-123",
"claimId": "claim-emr-123",
"postingDate": "2026-06-16",
"batch": "batch-123",
"paymentId": "payment-emr-123",
"payer": "Blue Cross Anthem",
"flag835": "true",
"eobDate": "2026-06-16",
"accntgDate": "2026-06-16",
"amount": "100.00",
"balance": "25.00",
"adjustment": "25.00",
"user": "STAFF-123"
}
],
"billing_notes": "Balance due at next visit.",
"synced_at": "2026-06-16T17:00:00Z",
"created_at": "2026-06-15T21:30:00Z",
"updated_at": "2026-06-16T17:00:00Z",
"progress_note": "Chief complaint: headache. Assessment: tension headache. Plan: OTC analgesics.",
"line_items": [
{
"id": "d1a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3",
"line_number": 1,
"cpt_code": "99213",
"description": "Office outpatient visit",
"modifiers": ["25"],
"units": 1,
"billed_amount": "150.00",
"allowed_amount": "125.00",
"billed_unit_fee": "150.00",
"icd_pointers": ["1"],
"place_of_service": "11",
"type_of_service": "1",
"service_date_start": "2026-06-15",
"service_date_end": "2026-06-15",
"rendering_provider_npi": "1234567890",
"ordering_provider_npi": "1234567890",
"referring_provider_npi": "1234567890"
}
],
"payments": [
{
"id": "e1a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3",
"emr_payment_id": "payment-emr-123",
"emr_payment_detail_id": "payment-detail-123",
"check_number": "EFT-12345",
"payment_date": "2026-06-16",
"amount": "100.00",
"payment_type": "Insurance",
"payer_name": "Blue Cross Anthem",
"payer_id": "98999",
"payer_type": "Insurance",
"adjustment": "25.00",
"deductible": "0.00",
"coinsurance": "25.00",
"allowed": "125.00",
"member_balance": "25.00",
"withheld": "0.00",
"era_claim_status": "Processed as primary",
"era_claim_status_code": "1",
"era_filing_indicator": "CI",
"era_service_lines": [
{
"cpt_code": "99213",
"paid_amount": "100.00"
}
],
"era_payer_name": "Blue Cross Anthem",
"era_check_amount": "100.00",
"era_reference_id": "ERA-12345",
"era_payer_claim_id": "ICN-12345",
"era_adjustment_codes": [
{
"group_code": "CO",
"reason_code": "45",
"amount": "25.00"
}
]
}
]
}